//Source file: PamAgentExistsException.java
//Date: June 2006
//Presence and Availability Management for 3GPP TS 29.198-14 V6.3.0, Release 6

package org.csapi.jr.se.pam;

/**
 * Indicates that an Agent with the agentName already exists
 *
 */
public class PamAgentExistsException extends org.csapi.jr.se.pam.PamException {

    private Throwable _cause = null;

    public PamAgentExistsException() {
        super(); 
    }

    public PamAgentExistsException(String message) {
        super(message); 
    }

    public PamAgentExistsException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PamAgentExistsException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PamAgentExistsException

