//Source file: PamException.java
//Date: June 2006
//Presence and Availability Management for 3GPP TS 29.198-14 V6.3.0, Release 6

package org.csapi.jr.se.pam;

/**
 * Presence and Availability Management abstract exception
 *
 */
public class PamException extends java.lang.Exception {

    private Throwable _cause = null;

    public PamException() {
        super(); 
    }

    public PamException(String message) {
        super(message); 
    }

    public PamException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PamException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PamException

