//Source file: PamUnknownAgentException.java
//Date: June 2006
//Presence and Availability Management for 3GPP TS 29.198-14 V6.3.0, Release 6

package org.csapi.jr.se.pam;

/**
 * Indicates that the Agent with the specified name does not exist
 *
 */
public class PamUnknownAgentException extends org.csapi.jr.se.pam.PamException {

    private Throwable _cause = null;

    public PamUnknownAgentException() {
        super(); 
    }

    public PamUnknownAgentException(String message) {
        super(message); 
    }

    public PamUnknownAgentException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PamUnknownAgentException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PamUnknownAgentException

