//Source file: PamUnknownGroupException.java
//Date: June 2006
//Presence and Availability Management for 3GPP TS 29.198-14 V6.3.0, Release 6

package org.csapi.jr.se.pam;

/**
 * Indicates that the specified group identity does not exist
 *
 */
public class PamUnknownGroupException extends org.csapi.jr.se.pam.PamException {

    private Throwable _cause = null;

    public PamUnknownGroupException() {
        super(); 
    }

    public PamUnknownGroupException(String message) {
        super(message); 
    }

    public PamUnknownGroupException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PamUnknownGroupException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PamUnknownGroupException

