//Source file: Constants.java
//Date: June 2006
//Presence and Availability Management for 3GPP TS 29.198-14 V6.3.0, Release 6

package org.csapi.jr.se.pam;

/**
 * This interface contains constants not associated with any type, but associated with the package org.csapi.jr.se.pam
 *
 */
public interface Constants {

    /**
     * 
     */
    public static final long PAM_MAX_LONGINT = 0x7fffffff;

    /**
     * Capability for voice calls
     */
    public static final String PAM_VOICE = "P_PAM_VOICE";

    /**
     * Capability for SMS
     */
    public static final String PAM_SMS = "P_PAM_SMS";

    /**
     * Capability for Instant Messaging
     */
    public static final String PAM_IM = "P_PAM_IM";

    /**
     * Capability for Multi-media messaging
     */
    public static final String PAM_MMS = "P_PAM_MMS";

} // org.csapi.jr.se.pam.Constants
