//Source file: PamTypeExistsException.java
//Date: June 2006
//Presence and Availability Management for 3GPP TS 29.198-14 V6.3.0, Release 6

package org.csapi.jr.se.pam;

/**
 * Indicates that the named type already exists
 *
 */
public class PamTypeExistsException extends org.csapi.jr.se.pam.PamException {

    private Throwable _cause = null;

    public PamTypeExistsException() {
        super(); 
    }

    public PamTypeExistsException(String message) {
        super(message); 
    }

    public PamTypeExistsException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PamTypeExistsException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PamTypeExistsException

