//Source file: PamUnassignedAliasException.java
//Date: June 2006
//Presence and Availability Management for 3GPP TS 29.198-14 V6.3.0, Release 6

package org.csapi.jr.se.pam;

/**
 * Indicates that the specified alias was not an alias of the named identity
 *
 */
public class PamUnassignedAliasException extends org.csapi.jr.se.pam.PamException {

    private Throwable _cause = null;

    public PamUnassignedAliasException() {
        super(); 
    }

    public PamUnassignedAliasException(String message) {
        super(message); 
    }

    public PamUnassignedAliasException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PamUnassignedAliasException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PamUnassignedAliasException

